﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WinGrid_TabPainting
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {


            ultraGrid1.DataSource = CreateCategories();

            foreach (UltraGridRow row in ultraGrid1.Rows)
            {
                char tab = '\u0009';
                foreach (UltraGridCell cell in row.Cells)
                {
                    if (cell.Text == tab.ToString())
                    {
                        cell.Value = "x";
                    }
                }
            }
        }

        private DataTable CreateCategories()
        {
            DataTable categories = new DataTable("Categories");

            categories.Columns.Add("CategoryID", typeof(int));
            categories.Columns["CategoryID"].Unique = true;
            categories.Columns["CategoryID"].AutoIncrement = true;
            categories.Columns["CategoryID"].AutoIncrementStep = 1;
            categories.PrimaryKey = new DataColumn[] { categories.Columns["CategoryID"] };

            categories.Columns.Add("CategoryName", typeof(string));
            categories.Columns.Add("Description", typeof(string));

            categories.Rows.Add(new object[] { 1, "Beverages", "\u0009" });
            //categories.Rows.Add(new object[] { 2, "Condiments", "Sweet and  savory sauces, relishes, spreads, and seasonings" });
            //categories.Rows.Add(new object[] { 3, "Confections", "Desserts, candies, and sweet breads" });
            //categories.Rows.Add(new object[] { 4, "Dairy Products", "Cheeses" });
            //categories.Rows.Add(new object[] { 5, "Grains/Cereals", "Breads, crackers, pasta, and cereal" });
            //categories.Rows.Add(new object[] { 6, "Meat/Poultry", "Prepared meats" });
            //categories.Rows.Add(new object[] { 7, "Produce", "Dried fruit and bean curd" });
            //categories.Rows.Add(new object[] { 8, "Seafood", "Seaweed and fish" });

            categories.AcceptChanges();
            return categories;
        }
    }
}
